Bug 509 - getgrouplist causes build to fail on libc5 Linux
getgrouplist causes build to fail on libc5 Linux
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
All Linux
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 12:28 UTC by bedbug
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bedbug 2003-09-25 12:28:41 UTC
gcc version 2.7.2.2
Linux 2.0.38

Using FLAGS =  -g -O2 -I./popt -Iinclude -I/usr/local/src/samba-3.0.0/source/inc
lude -I/usr/local/src/samba-3.0.0/source/ubiqx -I/usr/local/src/samba-3.0.0/sour
ce/smbwrapper  -I.  -I/usr/local/src/samba-3.0.0/source
      LIBS = -ldl
      LDSHFLAGS = -shared
      LDFLAGS =
Linking bin/smbd
lib/system_smbd.o: In function `sys_getgrouplist':
/usr/local/src/samba-3.0.0/source/lib/system_smbd.c:126: undefined reference to
`getgrouplist'
make: *** [bin/smbd] Error 1
Comment 1 Gerald (Jerry) Carter 2003-11-27 07:36:07 UTC
This hsould be fixed in the current SAMBA_3_0 cvs tree 
assuming that  `grep HAVE_GETGROUPLIST include/config.h`
shows the macro as undefined.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:28:19 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:31:29 UTC
database cleanup